## Function to generate landscapes according to hierarchical curdling algorithms
## of O'Neill, Gardner and Turner (1992) and Lavorel, Gardner and  O'Neill (1993)
#
#	DimExtents		-	Integer vector describing the length of
#					each dimension
#	HierBoxes		-	A matrix describing the size of the tiles
#					at each hierarchical subdivision.  The
#					first dimension of the matrix is the hierarchy
#					of the tile and the second dimension of the
#					matrix describes the size of the tile in
#					each dimension of the output
#	HierProp		-	Integer vector describing the number of tiles
#					to keep at each hierarchical sweep
#
HierarchicalCurdling <- function(DimExtents, HierBoxes, HierProp)
{
	.External(
		"HierarchicalCurdling",
		DimExtents = as.integer(DimExtents),
		HierBoxes = HierBoxes,
		HierProp = as.integer(HierProp),
		PACKAGE="ecomodtools")
}