\name{ecomodtools-package}
\alias{ecomodtools-package}
\alias{ecomodtools}
\docType{package}
\title{
Ecological Modelling Toolbox
}
\description{
Utility toolbox of methods for the analysis, implementation, and parameterisation of ecological simulation models.  Includes functions for the generation of neutral landscapes, ABC methods for the fitting of simulation models to data, and methods for the approximation of continuous dispersal in discrete landscapes.
}
\details{
\tabular{ll}{
Package: \tab ecomodtools\cr
Type: \tab Package\cr
Version: \tab 0.1-1\cr
Date: \tab 2010-10-13\cr
License: \tab GPL (>= 2)\cr
LazyLoad: \tab yes\cr
}
}
\author{
Joseph Chipperfield <\email{joechip90@googlemail.com}>

Maintainer: Joseph Chipperfield <\email{joechip90@googlemail.com}>
}
\references{
Keitt, T. H. (2000) Spectral representation of neutral landscapes.  \emph{Landscape Ecology}, 15, 479-493.

Peitgen, H. O. and Saupe, D. (1988) \emph{The Science of Fractal Images}, Springer-Verlag.

With, K. A. (1997) The application of neutral landscape models in conservation biology.  \emph{Conservation Biology}, 11, 1069-1080.

With, K. A. and King A. W. (1997) The use and misuse of neutral landscapes models in ecology.  \emph{Oikos}, 79, 219-229.
}
\keyword{ package }
