#ifndef __GENETICS_H__
#define __GENETICS_H__

#include "ExtString.h"

//If the file is being compiled with a Visual C++ compiler then set it to be included once in the program only
//and to temporarily disable exception specification warnings generated as a result of non-standard behaviour
#ifdef _MSC_VER
	#pragma once
	#pragma warning( disable : 4290 )
#endif

namespace EcoModel
{	// ----------------------
	//  ALLELE STORAGE CLASS
	// ----------------------
	// Class to store allele types
	class Allele
	{
	private:
		StdExtensions::ExtString cAllele;			// String to hold allele identification tag
	public:
		// Functions for null initialisation
		Allele() throw() : cAllele() {};
		void Initialise() throw() {cAllele.Initialise();};
	};

	// ---------------------
	//  LOCUS STORAGE CLASS
	// ---------------------
	// Class to store information at a locus
	class Locus
	{
	private:
		Allele *pAlleleVector;						// Vector of alleles
		size_t ulPloidy;							// Ploidy at the locus
	public:
		// Functions for null initialisation
		Locus() throw() : pAlleleVector(NULL), ulPloidy(0) {};
		void Initialise() throw();
	};
}

//Return warnings to default upon compilation with Visual C++ compiler
#ifdef _MSC_VER
	#pragma warning( default : 4290 )
#endif

#endif
